digiKam Developer Documentation: Digikam::SimilarityDbAccess Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
Digikam::SimilarityDbAccess Class Reference

## Public Member Functions
| SimilarityDbAccess ()
| This class is written in analogy to CoreDbAccess (some features stripped off).
SimilarityDbBackend * | backend () const
SimilarityDb * | db () const
QString | lastError () const
void | setLastError (const QString &error)
| Set the "last error" message.

## Static Public Member Functions
static bool | checkReadyForUse (InitializationObserver *const observer)
| This static method checks if the similarity db is ready for use.
static void | cleanUpDatabase ()
| This static method removes the connection to the similarity database.
static void | initDbEngineErrorHandler (DbEngineErrorHandler *const errorhandler)
| This static method initialises the error handler for the similarity db.
static bool | isInitialized ()
| This static method returns if the similarity db is initialised.
static DbEngineParameters | parameters ()
| This static method returns the current db parameters.
static void | setParameters (const DbEngineParameters &parameters)
| This static method sets the database parameters that are needed to initialise the db connection.

## Constructor & Destructor Documentation

## ◆ SimilarityDbAccess()

Digikam::SimilarityDbAccess::SimilarityDbAccess | ( |  | ) |

For documentation, see coredbaccess.h

## Member Function Documentation

## ◆ checkReadyForUse()

bool Digikam::SimilarityDbAccess::checkReadyForUse | ( | InitializationObserver *const | observer | ) |
| static

Parameters

  observer | the observer.

Returns
  true, if the database is ready for use.

## ◆ initDbEngineErrorHandler()

void Digikam::SimilarityDbAccess::initDbEngineErrorHandler | ( | DbEngineErrorHandler *const | errorhandler | ) |
| static

Parameters

  errorhandler | The error handler.

## ◆ isInitialized()

bool Digikam::SimilarityDbAccess::isInitialized | ( |  | ) |
| static

Returns
  true, if the similarityDb is initialised.

## ◆ parameters()

DbEngineParameters Digikam::SimilarityDbAccess::parameters | ( |  | ) |
| static

Returns
  the current db parameters.

## ◆ setLastError()

void Digikam::SimilarityDbAccess::setLastError | ( | const QString & | error | ) |

This method is not for public use.

## ◆ setParameters()

void Digikam::SimilarityDbAccess::setParameters | ( | const DbEngineParameters & | parameters | ) |
| static

Parameters

  parameters | The db parameters.